package com.haomostudio.SpringMVCProjectTemplate.service;

import com.haomostudio.SpringMVCProjectTemplate.dao.ActivityMapper;
import com.haomostudio.SpringMVCProjectTemplate.domain.Activity;
import org.springframework.beans.factory.annotation.Autowired;

import java.util.List;

/**
 * Created by hxgqh on 2016/10/6.
 */
public interface ActivitiService {
    /**
     * 获取列表(含翻页\过滤功能)
     * @param pageNo
     * @param pageSize
     * @param sortItem
     * @param sortOrder
     * @param filters
     * @return
     */
    List<Activity> getListWithPagingAndFilter(
            Integer pageNo, Integer pageSize,
            String sortItem, String sortOrder,
            String filters);
}
