package com.haomostudio.SpringMVCProjectTemplate.service;

import com.haomostudio.SpringMVCProjectTemplate.dao.ActivityMapper;
import com.haomostudio.SpringMVCProjectTemplate.domain.Activity;
import com.haomostudio.SpringMVCProjectTemplate.domain.ActivityExample;
import com.haomostudio.SpringMVCProjectTemplate.service.ActivitiService;
import org.apache.ibatis.session.RowBounds;
import org.springframework.beans.factory.annotation.Autowired;

import java.util.ArrayList;
import java.util.List;

/**
 * Created by hxgqh on 2016/10/6.
 */
public class ActivitiServiceImpl implements ActivitiService{
    @Autowired
    ActivityMapper activityMapper;

    @Override
    public List<Activity> getListWithPagingAndFilter(
            Integer pageNo, Integer pageSize,
            String sortItem, String sortOrder,
            String filters){
        ActivityExample exampleObj = new ActivityExample();
        RowBounds rowBounds = new RowBounds((pageNo - 1) * pageSize, pageSize);

        // 转换filters, 将其转换为mybatis-generator的exampleObj对象支持的过滤
//        exampleObj.or()

        return activityMapper.selectByExampleWithRowbounds(
                exampleObj, rowBounds);
    }
}
